%define		_status		beta
%define		_pearname	MDB2_Driver_sqlite
%define		subver	b4
%define		rel		1
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - sqlite MDB2 driver
Summary(pl.UTF-8):	%{_pearname} - sterownik sqlite dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.5.0
Release:	0.%{subver}.%{rel}
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	266234565071b41646d0dfe0290004a9
URL:		http://pear.php.net/package/MDB2_Driver_sqlite/
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.3.0
Requires:	php(sqlite)
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.5.0-0.b4
Obsoletes:	php-pear-MDB2_Driver_sqlite-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the SQLite MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Sterownik SQLite dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/sqlite.php
%{php_pear_dir}/MDB2/Driver/Manager/sqlite.php
%{php_pear_dir}/MDB2/Driver/Native/sqlite.php
%{php_pear_dir}/MDB2/Driver/Reverse/sqlite.php
%{php_pear_dir}/MDB2/Driver/Function/sqlite.php
%{php_pear_dir}/MDB2/Driver/sqlite.php
%{php_pear_dir}/data/MDB2_Driver_sqlite
%changelog
* Wed Dec 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-MDB2_Driver_sqlite.git;a=log;h=master

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 10c6d58
- updated to: 1.5.0-b4

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 215fe25
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 21c5496
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> de24af4
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 0471ec0
- up to 1.5.0b3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 3560382
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 48ec70f
- up to 1.5.0b2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 44ae510
- rel 2

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 11fd730
- dropped %{epoch} from R: in tests subpackage

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 463b5eb
- updated to 1.4.1; tests subpackage

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> 85b0a92
- 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a356eff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 998d5e7
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> d7475cf
- rel 2: use php(extension) virtuals

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> 58c710a
- updated to 1.2.1

* Sun Aug 06 2006 Adam Gołębiowski <adamg@pld-linux.org> 3e6cf29
- updated to 1.2.0

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> 13910cc
- updated to 1.1.0

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> 74364d3
- 1.0.2

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> bd0c19d
- updated deps

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> dec846e
- BR rpm-build macros >= 1.300 for %pear_ macros

